--- Makefile	2021-09-29 07:20:47.000000000 -0400
+++ Makefile	2021-09-29 07:21:22.000000000 -0400
@@ -1,15 +1,16 @@
 # jshon - command line JSON parsing
 
-CFLAGS := -std=c99 -Wall -pedantic -Wextra -Werror ${CFLAGS}
+CFLAGS := -std=c99 ${CFLAGS}
 LDLIBS  = -ljansson
 INSTALL=install
 DESTDIR?=/
-MANDIR=$(DESTDIR)/usr/share/man/man1/
-TARGET_PATH=$(DESTDIR)/usr/bin
+PREFIX?=/opt/local
+MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1/
+TARGET_PATH=$(DESTDIR)$(PREFIX)/bin
 DISTFILES=jshon
 MANFILE=jshon.1
-ZSHSRC=jshon_zsh_completion
-ZSHCOMP=$(DESTDIR)/usr/share/zsh/site-functions/_pbpst
+ZSHSRC=_jshon
+ZSHCOMP=$(DESTDIR)$(PREFIX)/share/zsh/site-functions/
 
 #VERSION=$(shell date +%Y%m%d)
 VERSION=$(shell git show -s --format="%ci" HEAD | cut -d ' ' -f 1 | tr -d '-')
@@ -27,9 +28,9 @@
 	rm -f *.o $(DISTFILES)
 
 install:
-	$(INSTALL) -D $(DISTFILES) $(TARGET_PATH)/$(DISTFILES)
-	$(INSTALL) -D $(MANFILE) $(MANDIR)/$(MANFILE)
-	$(INSTALL) -D $(ZSHSRC) $(ZSHCOMP)
+	$(INSTALL) $(DISTFILES) $(TARGET_PATH)/$(DISTFILES)
+	$(INSTALL) $(MANFILE) $(MANDIR)/$(MANFILE)
+	$(INSTALL) $(ZSHSRC) $(ZSHCOMP)
 
 dist: clean
 	sed -i "s/#define JSHONVER .*/#define JSHONVER ${VERSION}/" jshon.c
